Lingxing
切换旧版

查询可选送达时间

POST/amzStaServer/openapi/inbound-shipment/getDeliveryDateList

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/getDeliveryDateListHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
shipmentIdstring必填
货件id,对应查询货件方案接口对应字段【shipmentId】
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/getDeliveryDateList?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "shipmentId": "货件id",
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
inboundPlanIdstring必填
STA任务编号
shipmentIdstring必填
货件单号
shipmentListarray<object>必填
可选送达时间
隐藏子属性
deliveryWindowOptionIdstring必填
选项id
endDatestring必填
结束时间
格式:yyyy-MM-dd HH:mm:ss
startDatestring必填
开始时间
格式:yyyy-MM-dd HH:mm:ss
validUntilstring必填
过期时间
格式:yyyy-MM-dd HH:mm:ss

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
        "shipmentId": "货件单号",
        "shipmentList": [{
            "deliveryWindowOptionId": "选项id",
            "endDate": "结束时间",
            "startDate": "开始时间",
            "validUntil": "过期时间"
        }]
    }
}